Public API
Here, you’ll find everything you need to know about accessing and interacting with our Public API endpoints. Our API allows you to seamlessly integrate our services into your applications. Below is an overview of the key endpoints available to you, along with detailed descriptions and usage instructions.
Base URL
Section titled “Base URL”Base URL for all endpoints listed on this page
https://mainnet.api.perawallet.app/v1/
Swagger
Section titled “Swagger”You can also download the OpenAPI specification for this API.
Verified Asset List
Section titled “Verified Asset List”GET /public/verified-assets/This is a simplified endpoint that returns all verified assets in a single response. The endpoint returns verified assets with asset verification label by excluding suspicious and unverified ones. If your business logic needs to know the verified asset ids, this is the endpoint you should use. It is lightweight and doesn’t require pagination.
- Response is cached for 5 min.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
ordering |
string | No | Which field to use when ordering the results. |
Example request
curl "https://mainnet.api.perawallet.app/v1/public/verified-assets/"Example response
{ "next": null, "previous": null, "results": [ { "asset_id": 312769, "verification_tier": "verified" }, { "asset_id": 31566704, "verification_tier": "verified" } ]}Labeled Asset List
Section titled “Labeled Asset List”GET /public/labeled-assets/This is a simplified endpoint that returns all labeled assets in a single response. The endpoint returns verified and suspicious assets with asset verification label by excluding unverified ones. If your business logic needs to know the labeled asset ids, this is the endpoint you should use. It is lightweight and doesn’t require pagination.
- Response is cached for 5 min.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
ordering |
string | No | Which field to use when ordering the results. |
Example request
curl "https://mainnet.api.perawallet.app/v1/public/labeled-assets/"Example response
{ "next": null, "previous": null, "results": [ { "asset_id": 312769, "verification_tier": "verified" }, { "asset_id": 31566704, "verification_tier": "verified" } ]}Asset List
Section titled “Asset List”GET /public/assets/This public endpoint returns all assets.
- Response is cached for 5 min.
- Maximum page size: 1000
- Default page size: 50
- Page size options: 50, 100, 500, 1000
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
filter |
string | No | ['is_verified', 'is_collectible'] |
ordering |
string | No | Which field to use when ordering the results. |
cursor |
string | No | The pagination cursor value. |
limit |
integer | No | Number of results to return per page. |
Example request
curl "https://mainnet.api.perawallet.app/v1/public/assets/?limit=50"Example response
{ "next": "https://mainnet.api.perawallet.app/v1/public/assets/?cursor=cD0zNjYzNzcxMzQ0&limit=50", "previous": null, "results": [ { "asset_id": 3663775747, "name": "Alpha Market 3663775657 No", "unit_name": "ALPHA-N", "fraction_decimals": 6, "total_supply": 18446744073709551615, "total_supply_as_str": "18446744073709551615", "is_deleted": false, "creator_address": "EXE3LHF4TZTV3LY32ZQBZV736XD4MDLW2INCEGZRTRMOUIECQSZMWR6WXY", "url": "https://www.alphaarcade.com/market/3663775657", "logo": null, "verification_tier": "unverified", "usd_value": null, "usd_value_24_hour_ago": null, "is_collectible": false } ]}Asset Verification Detail
Section titled “Asset Verification Detail”GET /public/asset-verifications/{asset_id}/This public endpoint returns Asset verification information about a specific ASA on the Algorand blockchain. This is the recommended public API for fetching the verification status of an ASA from Pera. More details about the verification program can be found here: https://explorer.perawallet.app/asa-verification/
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
asset_id |
integer | Yes | The ID of the ASA. |
Example request
curl "https://mainnet.api.perawallet.app/v1/public/asset-verifications/31566704/"Example response
{ "asset_id": 31566704, "verification_tier": "verified", "explorer_url": "https://explorer.perawallet.app/assets/31566704/"}verification_tier is one of trusted, verified, unverified or suspicious.
Asset Detail
Section titled “Asset Detail”GET /public/assets/{asset_id}/This public endpoint returns details of an asset.
- Response is cached for 5 min.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
asset_id |
integer | Yes | The ID of the ASA. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
include_collectible |
boolean | No | Include collectible (NFT) details in the response. Defaults to true. |
Example request
curl "https://mainnet.api.perawallet.app/v1/public/assets/31566704/"Example response
{ "asset_id": 31566704, "name": "USDC", "unit_name": "USDC", "fraction_decimals": 6, "total_supply": 18446744073709551615, "total_supply_as_str": "18446744073709551615", "is_deleted": false, "creator_address": "2UEQTE5QDNXPI7M3TU44G6SYKLFWLPQO7EBZM7K7MHMQQMFI4QJPLHQFHM", "url": "https://www.centre.io/usdc", "logo": "https://algorand-wallet-mainnet.b-cdn.net/media/usd-coin-usdc-logo.png", "verification_tier": "verified", "usd_value": "1.000000000000", "usd_value_24_hour_ago": "1.000000000000", "is_collectible": false, "verification_details": null, "collectible": null, "description": "", "circulating_supply": "200073111059522"}Usage Requirements
Section titled “Usage Requirements”To use Pera Wallet Public API you must comply with the following requirements:
- Please note “Data provided by Pera” & display the Pera logo
- Display the Pera Verified and Suspicious badges next to each ASA
- Link to the ASA’s Pera Explorer page, with the Pera logo and “View on Pera Explorer” call to action clearly visible.
All brand assets are available at our media kit.
Deprecation Notice
Section titled “Deprecation Notice”As part of this expansion, we are restructuring our existing public endpoints. The current v1/ endpoints will be moved to the v1/public/ path.
There will not be any change in the response format of these APIs, but the requests will be redirected to the new path starting August 1st 2024. It is important for users to migrate their projects to the new path to ensure faster access to the API.